Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class OWLSystemFrames.SystemFramesAsserter

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames.SystemFramesAsserter

Direct Known Subclasses:
  OWLSystemFrames.OWLSystemFramesAssertions, SWRLSystemFrames.SWRLSystemFramesAssertions

Enclosing class:
  OWLSystemFrames

    public class OWLSystemFrames.SystemFramesAsserter

extends Object

Field Summary
`protected Collection<edu.stanford.smi.protege.model.Cls>` | `annotationDatatypePropertyTypes`
`protected Collection<edu.stanford.smi.protege.model.Cls>` | `annotationObjectPropertyTypes`
`protected edu.stanford.smi.protege.model.framestore.FrameStore` | `fs`
`protected Collection<edu.stanford.smi.protege.model.Cls>` | `functionalDatatypePropertyTypes`

Constructor Summary
`OWLSystemFrames.SystemFramesAsserter(edu.stanford.smi.protege.model.framestore.FrameStore fs)`

Method Summary
`protected void` | `assertDomain(edu.stanford.smi.protege.model.Slot slot)`
`protected void` | `assertDomain(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Cls domain)`
`protected void` | `assertDomains(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Cls[] domains)`
`protected void` | `assertFunctional(edu.stanford.smi.protege.model.Slot slot)`
`protected void` | `assertRange(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Cls cls)`
`protected void` | `assertTypeAndName(edu.stanford.smi.protege.model.Frame frame, Collection<edu.stanford.smi.protege.model.Cls> types)`
`protected void` | `assertTypeAndName(edu.stanford.smi.protege.model.Instance frame, edu.stanford.smi.protege.model.Cls type)`
`protected edu.stanford.smi.protege.model.Cls` | `assertTypeAndSubclasses(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls type, edu.stanford.smi.protege.model.Cls[] subclasses)`
`protected void` | `assertValueType(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.ValueType vt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fs

    protected edu.stanford.smi.protege.model.framestore.FrameStore fs

### annotationObjectPropertyTypes

    protected Collection<edu.stanford.smi.protege.model.Cls> annotationObjectPropertyTypes

### annotationDatatypePropertyTypes

    protected Collection<edu.stanford.smi.protege.model.Cls> annotationDatatypePropertyTypes

### functionalDatatypePropertyTypes

    protected Collection<edu.stanford.smi.protege.model.Cls> functionalDatatypePropertyTypes

Constructor Detail

### OWLSystemFrames.SystemFramesAsserter

    public OWLSystemFrames.SystemFramesAsserter(edu.stanford.smi.protege.model.framestore.FrameStore fs)

Method Detail

### assertTypeAndSubclasses

    protected edu.stanford.smi.protege.model.Cls assertTypeAndSubclasses(edu.stanford.smi.protege.model.Cls cls,
                                                                         edu.stanford.smi.protege.model.Cls type,
                                                                         edu.stanford.smi.protege.model.Cls[] subclasses)

### assertFunctional

    protected void assertFunctional(edu.stanford.smi.protege.model.Slot slot)

### assertTypeAndName

    protected void assertTypeAndName(edu.stanford.smi.protege.model.Instance frame,
                                     edu.stanford.smi.protege.model.Cls type)

### assertValueType

    protected void assertValueType(edu.stanford.smi.protege.model.Slot slot,
                                   edu.stanford.smi.protege.model.ValueType vt)

### assertTypeAndName

    protected void assertTypeAndName(edu.stanford.smi.protege.model.Frame frame,
                                     Collection<edu.stanford.smi.protege.model.Cls> types)

### assertDomain

    protected void assertDomain(edu.stanford.smi.protege.model.Slot slot)

### assertDomain

    protected void assertDomain(edu.stanford.smi.protege.model.Slot slot,
                                edu.stanford.smi.protege.model.Cls domain)

### assertDomains

    protected void assertDomains(edu.stanford.smi.protege.model.Slot slot,
                                 edu.stanford.smi.protege.model.Cls[] domains)

### assertRange

    protected void assertRange(edu.stanford.smi.protege.model.Slot slot,
                               edu.stanford.smi.protege.model.Cls cls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.